GetScheduleStopDetail

Returns the existing scheduled stops for a card. The response may return multiple records but only one of them can be in ‘SCHEDULED’ state.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction.
profileNumberString1-20 characters✓Profile number linked with this card.
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client.
transactionDateDate✓Transaction date generated by the calling client.
checksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key.
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
   <methodName>GetScheduleStopDetail</methodName>
   <params>
       <param>
           <value>
               <string>0054321925</string>
           </value>
       </param>
       <param>
           <value>
               <string>9543219072</string>
           </value>
       </param>
       <param>
           <value>
               <string>402208543210001</string>
           </value>
       </param>
        <param>
           <value>
               <string>txn123456</string>
           </value>
       </param>
       <param>
           <value>
               <dateTime.iso8601>20240531T12:00:00</dateTime.iso8601>
           </value>
       </param>
       <param>
           <value>
               <string>97ee34c6b6c182e477baa944hjkjhgfty7f066c8f4b5f364206a16bce881ebcb</string>
           </value>
       </param>
   </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho of incoming value.
scheduledStopDetailsStringThe details of the existing schedules including those that have been cancelled or processed in (XML escaped) JSON format, for example:; ; [{; ; “SCHEDULEDSTOPUSERID”: 1,; ; “SCHEDULEDSTOPSTATUSDATE”: “January, 23 2020 14:00:58”,; ; “SCHEDULEDSTOPDATE”: “May, 23 2020 00:00:00”,; ; “SCHEDULEDSTOPID”: 5,; ; “SCHEDULEDSTOPCOMMENTS”: “Test schedule”,; ; “SCHEDULEDSTOPREASONID”: 1,; ; “STOPREASONNAME”: “Voucher stopped as it has been lost.”,; ; “SCHEDULEDSTOPSTATUS”: “CANCELLED”; ;}, {; ; “SCHEDULEDSTOPUSERID”: 1,; ; “SCHEDULEDSTOPSTATUSDATE”: “January, 24 2020 15:49:28”,; ; “SCHEDULEDSTOPDATE”: “May, 23 2020 00:00:00”,; ; “SCHEDULEDSTOPID”: 1003,; ; “SCHEDULEDSTOPCOMMENTS”: “Test schedule 2”,; ; “SCHEDULEDSTOPREASONID”: 1,; ; “STOPREASONNAME”: “Voucher stopped as it has been lost.”,; ; “SCHEDULEDSTOPSTATUS”: “SCHEDULED”; ;}]; ; Where the possible statuses for the schedules are: SCHEDULED, PROCESSED, CANCELLED, ERROR
cllientTransactionIDStringEcho of incoming value.
serverTransactionIDStringTransaction ID generated by Paymentology.
resultCodeIntegerStatus code indicating the transaction result.
resultTextStringtext indicating the transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>clientTransactionID</name>
                        <value>
                            <string>txn123456</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>terminalID</name>
                        <value>
                            <string>0054321925</string>
                        </value>
                    </member>
                    <member>
                        <name>scheduledStopDetails</name>
                        <value>
                            <string>[{"SCHEDULEDSTOPUSERID":1,"SCHEDULEDSTOPSTATUSDATE":"July, 29 2024 08:04:35","SCHEDULEDSTOPDATE":"May, 31 2090 00:00:00","SCHEDULEDSTOPID":9,"SCHEDULEDSTOPCOMMENTS":"lost","SCHEDULEDSTOPREASONID":2,"STOPREASONNAME":"Voucher stopped as it has been stolen.","SCHEDULEDSTOPSTATUS":"CANCELLED"}]</string>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                    <member>
                        <name>serverTransactionID</name>
                        <value>
                            <string>9543219072-97ee34c6b6c182e477baa944hjkjhgfty7f066c8f4b5f364206a16bce881ebcb</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>